Jupiter ERP
Account API

List PrintBackgrounds

/api/account/print-backgrounds

GETHTTP
get/api/account/print-backgrounds

Example request

GET https://api.jupiter-erp.com/api/account/print-backgrounds

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/print-backgrounds' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
order_byquerynoSort by a specific field
#/components/parameters/OrderDirParameter
#/components/parameters/PerPageParameter
#/components/parameters/PageParameter

Responses

200OK
FieldTypeDescription
data*object[]

array

Elements

FieldTypeDescription
created_atstring (date-time)Creation timestamp in ISO 8601 format.
id*integer
is_defaultboolean
is_default_credit_noteboolean
is_default_custom_documentboolean
is_default_delivery_noteboolean
is_default_dunningboolean
is_default_invoiceboolean
is_default_order_confirmationboolean
is_default_quoteboolean
mediaFileobject
FieldTypeDescription
idinteger
urlstring
name*string
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
meta*object
FieldTypeDescription
current_page*integerThe current page number.
items_from*integerThe starting item number on the current page.
items_to*integerThe ending item number on the current page.
last_page*integerThe last page number.
per_page*integerThe number of items per page.
total*integerThe total number of items.
Example response
{
  "data": [
    {
      "id": 0,
      "name": "string",
      "is_default": true,
      "is_default_custom_document": true,
      "is_default_quote": true,
      "is_default_order_confirmation": true
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "items_from": 1,
    "items_to": 1
  }
}
PrintBackgrounds

Questions about integration?

GET /api/account/print-backgrounds · Jupiter ERP